=== debian/control ===
Source: curl
Section: web
Priority: optional
Maintainer: Ludek Finstrle <luf@seznam.cz>
XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
Build-Depends: debhelper (>> 5.0.41),
 autoconf,
 automake1.9,
 groff-base,
 libssl-dev,
 libtool,
 quilt,
 zlib1g-dev
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.3
Homepage: http://curl.haxx.se

Package: curl
Architecture: any
Section: web
Replaces: curl-ssl
Provides: curl-ssl
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcurl3 (= ${binary:Version})
Description: command line tool for transferring data with URL syntax
 curl is a command line tool for transferring data with URL syntax, supporting
 DICT, FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S,
 RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
 .
 curl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form
 based upload, proxies, cookies, user+password authentication (Basic, Digest,
 NTLM, Negotiate, kerberos...), file transfer resume, proxy tunneling and a
 busload of other useful tricks.

Package: libcurl3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Replaces: libcurl2 (<< 1:7.11.2-2), libcurl4
Conflicts: libcurl4
Pre-Depends: ${misc:Pre-Depends}
Description: easy-to-use client-side URL transfer library (OpenSSL flavour)
 libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
 FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
 RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
 .
 libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
 form based upload, proxies, cookies, user+password authentication (Basic,
 Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
 and more!
 .
 libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
 fast, thoroughly documented and is already used by many known, big and
 successful companies and numerous applications.
 .
 SSL support is provided by OpenSSL.

Package: libcurl4-openssl-dev
Architecture: any
Section: libdevel
Suggests: libcurl3-dbg
Provides: libcurl-dev,
 libcurl-ssl-dev,
 libcurl3-openssl-dev,
 libcurl4-dev,
 libcurl3-dev
Replaces: libcurl-dev,
 libcurl-ssl-dev,
 libcurl3-openssl-dev,
 libcurl3-dev (<< 7.14.1-1)
Depends: ${misc:Depends}, libcurl3 (= ${binary:Version}),
 libc6-dev | libc-dev,
 libidn11-dev,
 libssl-dev,
 zlib1g-dev
Description: development files and documentation for libcurl (OpenSSL flavour)
 libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
 FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
 RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
 .
 libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
 form based upload, proxies, cookies, user+password authentication (Basic,
 Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
 and more!
 .
 libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
 fast, thoroughly documented and is already used by many known, big and
 successful companies and numerous applications.
 .
 This package provides the development files (ie. includes, static library,
 manual pages) that allow to build software which uses libcurl. HTML and PDF
 versions of all the manual pages are also provided.
 .
 SSL support is provided by OpenSSL.

Package: libcurl3-dev
Architecture: all
Section: libdevel
Depends: libcurl4-openssl-dev (= ${Source-Version})
Description: Transitional package to libcurl4-openssl-dev
 Transitional package depending on libcurl4-openssl-dev.
 .
 Once installed, this package may be safely removed.
 .
 Homepage: http://curl.haxx.se

Package: libcurl3-dbg
Architecture: any
Section: debug
Priority: extra
Suggests: libc-dbg
Provides: libcurl4-dbg
Replaces: libcurl4-dbg
Conflicts: libcurl4-dbg
Depends: ${misc:Depends}, libcurl3 (= ${binary:Version}) | libcurl3-gnutls (= ${binary:Version}) | libcurl3-nss (= ${binary:Version})
Description: debugging symbols for libcurl (OpenSSL, GnuTLS and NSS flavours)
 libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
 FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
 RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
 .
 libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
 form based upload, proxies, cookies, user+password authentication (Basic,
 Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
 and more!
 .
 libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
 fast, thoroughly documented and is already used by many known, big and
 successful companies and numerous applications.
 .
 This package provides the debugging symbols of the OpenSSL, GnuTLS and NSS
 versions of libcurl3. It might be useful in debug sessions of software which
 uses libcurl.
