=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are locations of quilt stuff
export QUILT_PATCHES=$(shell pwd)/debian/patches

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_ARCH_OS	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# set the number of build jobs
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    JOBS:=-j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) --with-random=/dev/urandom
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

# Maemo specific
DO_TEST=no
SHLIBS_VERSION=7.16.2-1

CFLAGS   = -O2 -Wall
CXXLAGS  = -O2 -Wall

# this will avoid unneded dependencies
LDFLAGS  = -Wl,--as-needed

# this will catch miss-linking. (e.g. undefined symbols)
#LDFLAGS+= -Wl,-z,defs

CONFIGURE_ARGS = $(CROSS) --prefix=/usr --mandir=/usr/share/man	\
		--libdir=\$${prefix}/lib			\
		--disable-dependency-tracking --enable-ipv6	\
		--without-lber-lib --disable-symbol-hiding	\
		--enable-versioned-symbols --enable-manual	\
		--enable-debug --disable-curldebug		\
		--without-gssapi --disable-sspi			\
		--without-libssh2 --without-ldap-lib		\
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
# this is still not ready
#		--enable-ares
# this fixes the ldap warning of dpkg-shlibdebs, but we dont want that.
#		--with-ldap-lib=/usr/lib/libldap_r.so

#ifneq (${DEB_BUILD_ARCH_OS},hurd)
#CONFIGURE_ARGS += --with-gssapi=/usr
#endif

build-arch: build-stamp
build-indep: build-stamp

build: build-arch build-indep

configure-stamp:
	dh_testdir
	mkdir -p debian/build
	-quilt push -a
	# pop the last patch (nss)
	quilt pop
	# pop the second last patch (gnutls)
	quilt pop
	# get the source without nss and gnutls patches
	tar -cf - --exclude=debian --exclude=.pc . | tar -xf - -C debian/build
	# run buildconf and make sure to copy the patched ltmain.sh
	for flavour in build; do \
		(cd debian/$$flavour && ./buildconf) \
	done
	cd debian/build && ./configure ${CONFIGURE_ARGS}		\
		--with-ca-path=/etc/ssl/certs
	touch configure-stamp

build-stamp: configure-stamp
	dh_testdir
	${MAKE} $(JOBS) -C debian/build
ifeq (${DO_TEST},yes)
	-${MAKE} -C debian/build test
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-quilt pop -a
	$(RM) -r build-stamp configure-stamp debian/build* debian/tmp*

#install: DH_OPTIONS=
install: build-stamp
	dh_testdir
	dh_testroot
	#dh_prep
	dh_clean -k
	${MAKE} -C debian/build DESTDIR=$(shell pwd)/debian/tmp install
	dh_install --sourcedir=debian/tmp
	#dh_lintian
	mkdir -p debian/libcurl3/usr/share/lintian/overrides
	install -m 644 debian/libcurl3.lintian-overrides debian/libcurl3/usr/share/lintian/overrides/libcurl3
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

# Build architecture-independent files here.
binary-indep: build-stamp install
# We have nothing to do here.

# Build architecture-dependent files here.
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_link
	dh_strip -Nlibcurl3
	dh_strip -plibcurl3 --dbg-package=libcurl3-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_md5sums
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep build clean install
