## curl 7.27.0

=== debian/changelog ===
curl (7.27.0-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2012 13:54:01 +0100

curl (7.27.0-1) unstable; urgency=low

  * New upstream release
  * Update upstream copyright
  * Refresh 01_runtests_gdb.patch, 90_gnutls.patch and 99_nss.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 08 Aug 2012 17:22:00 +0200

curl (7.26.0-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.
  * Adjust udeb configure flags handling to something easier to merge in
    future.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 May 2012 12:21:13 +0100

curl (7.25.0-1ubuntu2) quantal; urgency=low

  * Drop libssh2-1-dev Depends (not in main) from libcurl4-gnutls-dev and
    libcurl4-nss-dev too.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 22:58:51 +0100

curl (7.25.0-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1003049).  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.
    - Also closes (LP: #855291)
  * debian/patches/CVE-2012-0036.patch: Dropped. CVE resolved upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 22 May 2012 14:53:29 -0400

curl (7.22.0-3ubuntu4) precise; urgency=low

  * debian/control: Add missing Depends on libcrypto1.0.0-udeb.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Mar 2012 18:40:30 -0400

curl (7.22.0-3ubuntu3) precise; urgency=low

  [ Andres Rodriguez ]
  * Add curl-udeb package (LP: #940425)

  [ Dave Walker (Daviey) ]
  * debian/rules: Remove --add-udeb= for libcurl3, and appended to
    debian/shlibs.local at build time, which this package seems to
    be using for undocumented reasoning.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 09 Mar 2012 23:45:09 +0000

curl (7.22.0-3ubuntu2) precise; urgency=low

  * SECURITY UPDATE: URL sanitization vulnerability
    - debian/patches/CVE-2012-0036.patch: reject URLs with embedded control
      codes in lib/{escape.h,escape.c,imap.c,pop3.c,smtp.c}.
    - CVE-2012-0036

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Jan 2012 08:26:50 -0500

curl (7.22.0-3ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.
    - Add new libcurl3-udeb package.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 25 Nov 2011 17:30:45 +0200

curl (7.21.7-3ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel and libssh2-1-dev.
      + Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.
    - Add new libcurl3-udeb package, stripped down for use during 
      installation (LP: #831496).
  * Dropped changes:
    - debian/patches/timeout_bug_736216: applied upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Oct 2011 09:28:24 +0100
