## curl 7.29.0

=== debian/changelog ===
curl (7.29.0-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.
  * Add warning to debian/patches/series.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Feb 2013 08:54:32 -0500

curl (7.29.0-1) unstable; urgency=high

  * New upstream release
    - Fix buffer overflow when negotiating SASL DIGEST-MD5 authentication
      as per CVE-2013-0249 (Closes: #700002)
      http://curl.haxx.se/docs/adv_20130206.html
    - Set urgency=high accordingly
  * Install all the examples
  * Update 90_gnutls.patch and 99_nss.patch
  * Refresh patches
  * Correctly pass CPPFLAGS to ./configure
  * Upload to unstable

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 11 Feb 2013 14:48:03 +0100

curl (7.28.1-1) experimental; urgency=low

  * New upstream release
  * Drop 05_fix-git-over-https.patch and 08_fix-git-auth.patch
    (merged upstream)
  * Update 07_do-not-disable-debug-symbols.patch
  * Refresh patches
  * Add NEWS entry about change in CURLOPT_SSL_VERIFYHOST semantics

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 26 Nov 2012 17:51:27 +0100

curl (7.28.0-3ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 17:56:05 +0000

curl (7.28.0-3) unstable; urgency=low

  * Add 07_do-not-disable-debug-symbols.patch, do not pass --enable-debug
    anymore (Closes: #693110)
  * Update 05_fix-git-over-https.patch to reflect new upstream patch
  * Add 08_fix-git-auth.patch to fix HTTPS authentication (Closes: #690764)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 17 Nov 2012 14:07:21 +0100

curl (7.28.0-2ubuntu2) raring; urgency=low

  * Turn debian/libcurl3-udeb.install and debian/libcurl3-udeb.links back
    into symlinks.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Oct 2012 10:55:24 +0000

curl (7.28.0-2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop stunnel4 and libssh2-1-dev.
      + Drop libssh2-1-dev from binary package Depends.
    - Add new libcurl3-udeb package.
    - Add new curl-udeb package.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Oct 2012 06:51:15 +0000

curl (7.28.0-2) unstable; urgency=low

  * Add 05_fix-git-over-https.patch (Closes: #690551)
  * Add 06_always-disable-valgrind.patch (Closes: #690968)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 22 Oct 2012 14:35:02 +0200

curl (7.28.0-1) unstable; urgency=low

  * New upstream release
    - gnutls: do not fail on non-fatal handshake errors (Closes: #685402)
  * Remove versioned build depends on libssh2 (already in stable)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Refresh 01_runtests_gdb.patch
  * Update *.symbols files
  * Build depend on ca-certifcates to avoid test failure

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 11 Oct 2012 19:11:09 +0200
