=== debian/control ===
--- 
+++ 
@@ -1,23 +1,35 @@
 Source: curl
 Section: web
 Priority: optional
-Maintainer: Ludek Finstrle <luf@seznam.cz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>> 5.0.41),
+Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
+ Luk Claes <luk@debian.org>
+Build-Depends: debhelper (>= 9),
  autoconf,
  automake1.9,
+ ca-certificates,
  groff-base,
+ libgcrypt11-dev,
+ libgnutls-dev,
+ libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ libnss3-dev,
+ librtmp-dev,
  libssl-dev,
  libtool,
+ openssh-server,
  quilt,
  zlib1g-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
+Vcs-Browser: http://git.debian.org/?p=collab-maint/curl.git
+Vcs-Git: git://git.debian.org/collab-maint/curl.git
 Homepage: http://curl.haxx.se
 
 Package: curl
 Architecture: any
-Section: web
 Replaces: curl-ssl
 Provides: curl-ssl
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -32,6 +44,21 @@
  NTLM, Negotiate, kerberos...), file transfer resume, proxy tunneling and a
  busload of other useful tricks.
 
+Package: curl-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-udeb, libcrypto1.0.0-udeb
+Description: Get a file from an HTTP, HTTPS or FTP server
+ curl is a client to get files from servers using any of the supported
+ protocols. The command is designed to work without user interaction
+ or any kind of interactivity.
+ .
+ curl offers a busload of useful tricks like proxy support, user
+ authentication, FTP upload, HTTP post, file transfer resume and more.
+ .
+ This package contains the curl binary for the Debian Installer (udeb)
+
 Package: libcurl3
 Architecture: any
 Section: libs
@@ -40,6 +67,7 @@
 Replaces: libcurl2 (<< 1:7.11.2-2), libcurl4
 Conflicts: libcurl4
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: easy-to-use client-side URL transfer library (OpenSSL flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
  FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
@@ -55,6 +83,70 @@
  successful companies and numerous applications.
  .
  SSL support is provided by OpenSSL.
+
+Package: libcurl3-udeb
+Section: debian-installer
+XC-Package-Type: udeb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Multi-protocol file transfer library (OpenSSL)
+ libcurl is designed to be a solid, usable, reliable and portable
+ multi-protocol file transfer library.
+ .
+ SSL support is provided by OpenSSL.
+ .
+ This package contains the minimal runtime libraries for the Debian Installer
+ (udeb).
+
+Package: libcurl3-gnutls
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
+Replaces: libcurl4-gnutls
+Conflicts: libcurl4-gnutls
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: easy-to-use client-side URL transfer library (GnuTLS flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ SSL support is provided by GnuTLS.
+
+Package: libcurl3-nss
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
+Replaces: libcurl4-nss
+Conflicts: libcurl4-nss
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: easy-to-use client-side URL transfer library (NSS flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ SSL support is provided by NSS.
 
 Package: libcurl4-openssl-dev
 Architecture: any
@@ -69,9 +161,15 @@
  libcurl-ssl-dev,
  libcurl3-openssl-dev,
  libcurl3-dev (<< 7.14.1-1)
+Conflicts: libcurl-dev,
+ libcurl4-gnutls-dev,
+ libcurl4-nss-dev
 Depends: ${misc:Depends}, libcurl3 (= ${binary:Version}),
  libc6-dev | libc-dev,
  libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ librtmp-dev,
  libssl-dev,
  zlib1g-dev
 Description: development files and documentation for libcurl (OpenSSL flavour)
@@ -94,16 +192,91 @@
  .
  SSL support is provided by OpenSSL.
 
-Package: libcurl3-dev
-Architecture: all
+Package: libcurl4-gnutls-dev
+Architecture: any
 Section: libdevel
-Depends: libcurl4-openssl-dev (= ${Source-Version})
-Description: Transitional package to libcurl4-openssl-dev
- Transitional package depending on libcurl4-openssl-dev.
- .
- Once installed, this package may be safely removed.
- .
- Homepage: http://curl.haxx.se
+Suggests: libcurl3-dbg
+Provides: libcurl-dev,
+ libcurl-ssl-dev,
+ libcurl3-gnutls-dev,
+ libcurl4-dev
+Replaces: libcurl-dev,
+ libcurl-ssl-dev,
+ libcurl3-gnutls-dev,
+ libcurl4-dev
+Conflicts: libcurl-dev,
+ libcurl4-openssl-dev,
+ libcurl4-nss-dev
+Depends: ${misc:Depends}, libcurl3-gnutls (= ${binary:Version}),
+ libc6-dev | libc-dev,
+ libgnutls-dev,
+ libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ librtmp-dev,
+ zlib1g-dev
+Description: development files and documentation for libcurl (GnuTLS flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ This package provides the development files (ie. includes, static library,
+ manual pages) that allow to build software which uses libcurl. HTML and PDF
+ versions of all the manual pages are also provided.
+ .
+ SSL support is provided by GnuTLS.
+
+Package: libcurl4-nss-dev
+Architecture: any
+Section: libdevel
+Suggests: libcurl3-dbg
+Provides: libcurl-dev,
+ libcurl-ssl-dev,
+ libcurl3-nss-dev,
+ libcurl4-dev
+Replaces: libcurl-dev,
+ libcurl-ssl-dev,
+ libcurl3-nss-dev,
+ libcurl4-dev
+Conflicts: libcurl-dev,
+ libcurl4-openssl-dev,
+ libcurl4-gnutls-dev
+Depends: ${misc:Depends}, libcurl3-nss (= ${binary:Version}),
+ libc6-dev | libc-dev,
+ libidn11-dev,
+ libkrb5-dev,
+ libldap2-dev,
+ libnss3-dev,
+ librtmp-dev,
+ zlib1g-dev
+Description: development files and documentation for libcurl (NSS flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
+ RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ This package provides the development files (ie. includes, static library,
+ manual pages) that allow to build software which uses libcurl. HTML and PDF
+ versions of all the manual pages are also provided.
+ .
+ SSL support is provided by NSS.
 
 Package: libcurl3-dbg
 Architecture: any
@@ -114,6 +287,7 @@
 Replaces: libcurl4-dbg
 Conflicts: libcurl4-dbg
 Depends: ${misc:Depends}, libcurl3 (= ${binary:Version}) | libcurl3-gnutls (= ${binary:Version}) | libcurl3-nss (= ${binary:Version})
+Multi-Arch: same
 Description: debugging symbols for libcurl (OpenSSL, GnuTLS and NSS flavours)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
  FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, POP3, POP3S, RTMP,
