=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,8 @@
     endif
 endif
 
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
 
 # this will avoid unneded dependencies
@@ -51,8 +51,7 @@
 		--disable-dependency-tracking --enable-ipv6	\
 		--with-lber-lib=lber --disable-symbol-hiding	\
 		--enable-versioned-symbols --enable-manual	\
-		--enable-debug --disable-curldebug		\
-		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 # this is still not ready
 #		--enable-ares
 # this fixes the ldap warning of dpkg-shlibdebs, but we dont want that.
